# 
#     26 Oct 96   for da adopted from charissa version
#    8 jan 98   modified for use with F2VB module


set VERSION "D2VB"

set env(RDOUThdwre) D2VB

loadsource  sys.common

set frametitle "MIDAS Data Acquisition System Control (VXI)"

set CAMACPresent 0
set VMEPresent 0
set VXIPresent 1

set CAMACEnable 0
set VMEEnable 0
set VXIEnable 1

set RDOUTEnable 0

set histEnable 0
set HistMode 0

set txEnable 0

set MaxTries 100


set SetupMessage "\n\
Are you sure you wish to SETUP the data acquisition system?\n\n\
SETUP will STOP data acquisition.\n\
Configure the VXI Control software and restore VXI parameter settings.\n\
This may take several minutes.\n\n\
If you decide to continue please wait for the SETUP sequence to complete and DO NOT touch the system while it is in progress.
"
set TestBuffer "0ff80080  1ff80001  00010080  01010100  02010180  03010200  04010280  3ff80000"


proc delete_spectra {} {
   global SpectrumServer
}

proc create_spectra {} {
    global SpectrumServer

    set z [catch {eg "(spectrum :path '/$SpectrumServer' :range 8192 :name 'Stat' !new)" } m]
    set z [catch {eg "(spectrum :path '/$SpectrumServer' :range 8192 :name 'Rate' !new)" } m]

#     all other spectra created by the VXI software histogram interface
    map_spectra
}

proc map_spectra {} {
   global EGreport RDOUThdwre

   set EGreport_SAVE $EGreport
   set EGreport -1

   set l [spectra-names]
   set n 0
   foreach item $l {
       set name [second $item]
       if {"$name" == "Rate"} continue
       set v [map_spectrum $name]
       if {"$v" != "0"} then {incr n}
   }

   if {$n == 0} then {write-register $RDOUThdwre.Cspectramapped 1}

   set EGreport $EGreport_SAVE

   set-footer "mapped [llength $l] spectra"
}

