
#    moduledefinition
#        for each module need
#          1.  Type  (used for module choice list   - ie  Trigger)
#          2.  Name (used when generating register names  -  ie Trig)
#          3.  taskname  (of monitor/setup window   - ie  LC4300)
#          4.  Name as in configuration file


set moduledefinition {                                                                  \
                      {"Trigger MK2"         "TriggerMK2" "triggermk2"  "TriggerMK2" }  \
                      {""                    "TriggerMK2" "triggermk2sftwre"  ""     }  \
                      {"Trigger"             "Trig"       "trigger"     "Trig"       }  \
                      {"Ge Card"             "Ge"         "ge"          "Ge"         }  \
                      {""                    "Ge"         "gesftwre"    ""           }  \
                      {"BGO Card"            "BGO"        "bgo"         "BGO"        }  \
                      {""                    "BGO"        "bgosftwre"    ""          }  \
                      {"BgoBall"             "BgoBall"    "bgoball"     "BgoBall"    }  \
                      {""                    "BGO"        "bgoballsftwre"    ""      }  \
                      {"Clover Card"         "Clover"     "clover"      "Clover"     }  \
                      {""                    "Clover"     "cloversftwre" ""          }  \
                      {"Clover Ge"           "Clover"     "cloverge"    ""           }  \
                      {"Clover BGO"          "Clover"     "cloverbgo"   ""           }  \
                      {"Cluster Card"        ""           "cluster"     ""           }  \
                      {"Cluster Ge"          "ClusterGe"  "clusterge"   "ClusterGe " }  \
                      {""                    ""           "clustergesftwre" ""       }  \
                      {"Cluster BGO"         "ClusterBGO" "clusterbgo"  "ClusterBGO" }  \
                      {""                    ""           "clusterbgosftwre" ""      }  \
                      {"Saphir"              "Saphir"     "saphir"      "Saphir"     }  \
                      {""                    "Saphir"     "saphirsftwre"  ""         }  \
                      {"CsI"                 "CsI"        "csi"         "CsI"        }  \
                      {""                    "CsI"        "csisftwre"     ""         }  \
                      {"Exogam Centre Contact" "ECC"        "ecc"           "ECC"    }  \
                      {""                     "ECC" "eccsftwre"     ""               }  \
                      {"Exogam Supp_n Shield"  "ESS"        "ess"           "ESS"    }  \
                      {""                    "ESS" "esssftwre"     ""                }  \
                      {"Exogam Outer Contact"  "GOCCE"      "gocce"        "GOCCE"   }  \
                      {""                    "GOCCE"      "goccesftwre"   ""         }  \
                      {"HRGe8x"              "HRGe8x"     "hrge8x"        "HRGe8x"   }  \
                      {""                    "HRGe8x"     "hrge8xsftwre"     ""      }  \
                      {"TGIR"                "TGIR"       "tgir"         "TGIR"      }  \
                      {""                    "TGIR"       "tgirsftwre"    ""         }  \
                      {"Icare"               "Icare"      "icare"       "Icare"      }  \
                      {""                    "Icare"      "icaresftwre" ""           }  \
                      {"Demon"               "Demon"      "demon"       "Demon"      }  \
                      {""                    "Demon"      "demonsftwre" ""           }  \
                      {"QDC6414V"            "QDC6414V"    qdc6414v       "QDC6414V" }  \
                      {""                    "QDC6414V"    qdc6414vsftwre ""         }  \
                      {"ADC6414V"            "ADC6414V"    adc6414v       "ADC6414V" }  \
                      {""                    "ADC6414V"    adc6414vsftwre ""         }  \
                      {"GMT"                 "GMT"         gmt            "GMT"      }  \
                      {""                    "GMT"         gmtsftwre      ""         }  \
                      {"U2M"                 "U2M"         u2m            "U2M"      }  \
                      {""                    "U2M"         u2msftwre      ""         }  \
                      {"ADC3214V"            "ADC3214V"    adc3214v       "ADC3214V" }  \
                      {""                    "ADC3214V"    adc3214vsftwre ""         }  \
                      {"TDC3214V"            "TDC3214V"    tdc3214v       "TDC3214V" }  \
                      {""                    "TDC3214V"    tdc3214vsftwre ""         }  \
                      {"QDC3214V"            "QDC3214V"    qdc3214v       "QDC3214V" }  \
                      {""                    "QDC3214V"    qdc3214vsftwre ""         }  \
                      {"TDR32V"              "TDR32V"      tdr32v        "TDR32V"    }  \
                      {""                    "TDR32V"      tdr32vsftwre  ""          }  \
                      {"FERA-VXI Interface"  "FVI"        "fvi"         "FVI"        }  \
                      {""                    "FVI"        "fvisftwre"   ""           }  \
                      {"VXI Readout Engine"  "VRE"        "vre"         "VRE"        }  \
                      {""                    "VRE"        "vresftwre"   ""           }  \
                      {"Resource Manager"    "RM"         "rm"          "RM"         }  \
                      {""                    "RM"         "rmsftwre"    ""           }  \
                      {""                    ""           "rmlactl"     ""           }  \
                      {""                    ""           "rmladisp"    ""           }  \
                      {"SlotOne"               "SlotOne"         slotone            "SlotOne"      }  \
                      {""                    "SlotOne"         slotonesftwre      ""         }  \
                      {"Centrum"               "Centrum"         centrum            "Centrum"      }  \
                      {""                    "Centrum"         centrumsftwre      ""         }  \
                      {"ROCO"                ""           "roco"        "ROCO"       }  \
                     }
